/*
   INF3105 / Lab10 -- Exercices sur l'héritage et les conteneurs.

   Étape 9 : séparation du code en plusieurs fichiers.
*/

#ifndef EQUIPE_H
#define EQUIPE_H

#include <vector>

#include "personne.h"

class Equipe {
 public:
  Equipe(const string& nomequipe_ = "equipesansnom");
  ~Equipe();  // un destructeur est requis

  void ajouter(Personne* p);
  void afficher() const;

 protected:
  string nomequipe;
  vector<Personne*> membres;
};

#endif
